### Function

# GLib Hook prepend

#### Declaration [src]

    void
    g_hook_prepend (
      GHookList* hook_list,
      GHook* hook
    )

#### Description [src]

Prepends a `GHook` on the start of a `GHookList`.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to add to the start of `hook_list`.

  The data is owned by the caller of the function.